Remove contact
Remove one contact from a list.
DELETE https://cotlet.dev/api/v1/clicksend/lists/{list_id}/contacts/{contact_id}
write Confirm
Removes the contact from its list, as removing a contact from a list in the dashboard does. The contact is not added to the Opt-Out List, so it can be added again later. By default you confirm each call; you can switch that off for this tool.
Parameters
| Name | Type | Description |
|---|---|---|
| list_id integer required | integer | Contact list ID from list_contact_lists. |
| contact_id integer required | integer | Contact ID from list_contacts. |
Request
curl -X DELETE https://cotlet.dev/api/v1/clicksend/lists/1/contacts/1 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("clicksend", "remove_contact", {"list_id":1,"contact_id":1}) const result = await cotlet.call('clicksend', 'remove_contact', {"list_id":1,"contact_id":1}); cotlet call clicksend remove_contact --data '{"list_id":1,"contact_id":1}' Example response
{
"removed": true,
"contact_id": 9012841,
"list_id": 128734
}